# Created by pyp2rpm-3.3.8
%global pypi_name aiocache
%global pypi_version 0.12.3

#Disable for mga10
%if %{mgaver}>=10
%bcond_with test
%else
%bcond_without test
%endif


Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 2
Summary:        multi backend asyncio cache
Group:          Development/Python
License:        BSD 3-Clause
URL:            https://github.com/aio-libs/aiocache                                                                                 
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{pypi_version}.tar.gz                    
BuildArch:      noarch                                                                                                               
                                                                                                                                     
BuildRequires:  python3-devel                                                                                                        
BuildRequires:  python3dist(aiomcache) >= 0.5.2                                                                                      
BuildRequires:  python3dist(msgpack) >= 0.5.5                                                                                        
BuildRequires:  python3dist(redis) >= 4.2                                                                                            
BuildRequires:  python3dist(setuptools)                                                                                              
BuildRequires:  python3dist(sphinx)  
BuildRequires:  pyproject-rpm-macros

%if %{with test}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:	python3dist(marshmallow)
BuildRequires:	python3dist(msgpack)
BuildRequires:	python3dist(pytest-mock)
BuildRequires:	python3dist(pytest-cov)
%endif                                                                                                
                                                                                                                                     
%description
Asyncio cache supporting multiple backends (memory, redis and memcached).
:target:

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(aiomcache) >= 0.5.2
Requires:       python3dist(msgpack) >= 0.5.5
Requires:       python3dist(redis) >= 4.2
%description -n python3-%{pypi_name}
Asyncio cache supporting multiple backends (memory, redis and memcached).
:target:

%package -n python-%{pypi_name}-doc
Summary:        aiocache documentation
%description -n python-%{pypi_name}-doc
Documentation for aiocache

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with test}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE
